EM 13c: Plug-in Deployment from Enterprise Manager 13c Cloud Control Fails with Error: oracle.sysman.extensibility.ngoui.ComponentInstallException: Exception while installing farb (Doc ID 2146891.1)

Last updated on JUNE 10, 2016

Applies to:

Enterprise Manager Base Platform - Version 13.1.0.0.0 and later
Information in this document applies to any platform.

Symptoms

Deploying the Oracle ZFS Storage plug-in on the Enterprise Manager (EM) 13c Cloud Control OMS fails with this error:

configplugin_prereq_check_<timestamp>.log

2016-05-29 09:47:49,538 [main] WARN pluginca.PluginCADriver -
2016-05-29 09:47:49,538 [main] WARN pluginca.PluginCADriver - ---------------------------------------------------------------
2016-05-29 09:47:49,539 [main] WARN pluginca.PluginCADriver - ---Plugins On Which Action "Prereq check" Is To Be Performed---
2016-05-29 09:47:49,539 [main] WARN pluginca.PluginCADriver - oracle.sun.oss7:12.1.0.7.0:0
2016-05-29 09:47:49,539 [main] WARN pluginca.PluginCADriver - ---------------------------------------------------------------
2016-05-29 09:47:49,539 [main] WARN pluginca.PluginCADriver -
2016-05-29 09:47:52,625 [main] WARN deploymentservice.EMPluginDeploymentUtil - No OMS name property passed. Assuming there is only one entry in emInstanceMapping.properties.
2016-05-29 09:47:55,176 [main] WARN pluginca.PluginCADriver - Exception during installFarb
oracle.sysman.extensibility.ngoui.ComponentInstallException: Exception while installing farb:/pwid2oma/oracle/product/OMS/swlib/26/33C347C08C7C3E7FE0531860EC0AC19B
at oracle.sysman.extensibility.ngoui.ComponentInstaller.installComponent(ComponentInstaller.java:99)
at oracle.sysman.core.common.extensibility.deploy.unzip.PluginUnzip.runInstaller(PluginUnzip.java:302)
at oracle.sysman.core.common.extensibility.deploy.unzip.PluginUnzip.installPlugin(PluginUnzip.java:235)
at oracle.sysman.core.common.extensibility.deploy.unzip.PluginUnzip.execute(PluginUnzip.java:225)
at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.extractArchivesIfRequired(PluginCADriver.java:1782)
at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.initPluginCA(PluginCADriver.java:2096)
at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.beginConfig(PluginCADriver.java:1264)
at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.main(PluginCADriver.java:2580)
Caused by: oracle.sysman.nextgen.NextGenInstallerException: com.oracle.cie.gdr.utils.GdrException: Unable to locate dependency for feature archive's feature set Oracle ZFS Storage Appliances 12.1.0.7.0
at oracle.sysman.nextgen.factory.GdrSessionFactory.getFeatureArchiveSession(GdrSessionFactory.java:498)
at oracle.sysman.nextgen.factory.GdrSessionFactory.initInstallerSession(GdrSessionFactory.java:227)
at oracle.sysman.nextgen.factory.GdrSessionFactory.getInstallerSession(GdrSessionFactory.java:161)
at oracle.sysman.nextgen.factory.GdrSessionFactory.getGdrInstallSession(GdrSessionFactory.java:110)
at oracle.sysman.nextgen.utils.FarbInstaller.installFarb(FarbInstaller.java:144)
at oracle.sysman.extensibility.ngoui.ComponentInstaller.installComponent(ComponentInstaller.java:94)

 

However "verify_updates" seems to show that the software library is in good shape:

Moreover, the issue is specific to the ZFS plugin, in this case (it can be any plug-in), and does not affect other plug-in deployments.

 

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms